#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    short a, b, x, y;
    cin >> a >> b >> x >> y;
    if (x==a && y==b)
        cout << "nijedan";
    if (x<a && y<b)
        cout << "?";
    if (x<a && y==b)
        cout << "prvi";
    if (x==a && y<b)
        cout << "drugi";
    return 0;
}